%define upstream_name    Class-Multimethods
%define upstream_version 1.701

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A multiple dispatch mechanism for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz


BuildArch: noarch


%description
The Class:Multimethod module exports a subroutine (&multimethod) that can
be used to declare other subroutines that are dispatched using a algorithm
different from the normal Perl subroutine or method dispatch mechanism.

Normal Perl subroutines are dispatched by finding the appropriately-named
subroutine in the current (or specified) package and calling that. Normal
Perl methods are dispatched by attempting to find the appropriately-named
subroutine in the package into which the invoking object is blessed or,
failing that, recursively searching for it in the packages listed in the
appropriate '@ISA' arrays.

Class::Multimethods multimethods are dispatched quite differently. The
dispatch mechanism looks at the classes or types of each argument to the
multimethod (by calling 'ref' on each) and determines the "closest"
matching _variant_ of the multimethod, according to the argument types
specified in the variants' definitions (see the Finding the "nearest"
multimethod manpage for a definition of "closest").

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.701.0-5.mga10
+ Revision: 2203519
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.701.0-4.mga9
+ Revision: 1808560
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.701.0-3.mga8
+ Revision: 1503573
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.701.0-2.mga7
+ Revision: 1282268
- Mageia 7 Mass Rebuild

* Sat Jul 29 2017 sander85 <sander85> 1.701.0-1.mga7
+ Revision: 1132428
- update to 1.701

* Sat Jun 18 2016 pterjan <pterjan> 1.700.0-7.mga6
+ Revision: 1023987
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.700.0-6.mga6
+ Revision: 947859
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.700.0-5.mga5
+ Revision: 743982
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.700.0-4.mga5
+ Revision: 683934
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.700.0-3.mga4
+ Revision: 510155
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.700.0-2.mga3
+ Revision: 364477
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.700.0-1.mga1
+ Revision: 26202
- no meta.yml
- mageia rebuild
- imported package perl-Class-Multimethods


* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 1.700.0-1mdv2010.1
+ Revision: 542857
- import perl-Class-Multimethods


* Thu May 06 2010 cpan2dist 1.70-1mdv
- initial mdv release, generated with cpan2dist
